::-webkit-scrollbar
{
  width: 6px;
  height: 6px;
}

::-webkit-scrollbar-track
{
  background-color: #F8F8F8;
  -webkit-border-radius: 6px;
  border-radius: 6px;
}

::-webkit-scrollbar-thumb
{
  -webkit-border-radius: 6px;
  border-radius: 6px;
  background-color: #C0C0C0;
}

::-webkit-scrollbar-thumb:hover
{
  background-color: #A0A0A0;
}

html
{
  scroll-behavior: smooth;
}

body
{
  overflow: hidden;
}

body, textarea
{
  font-family: Segoe UI, Verdana, Tahoma, Arial, Sans-Serif;
  font-size: 13px;
}

#code, #run, #content
{
  border: none;
}

#code
{
  resize: none;
  white-space: nowrap;
  overflow: auto;
  padding-left: 4px;
  padding-top: 0;
  background: rgba(0,0,0,0);
}

#code:focus, #desc:focus, Qdesc:focus, #Q:focus
{
  outline: none;
}

#code .tab
{
  white-space: pre;
}

#vsplit
{
  width: 4px;
  cursor: col-resize;
  background: #F0F0F0;
}
/*
#vsplit:hover, #vsplit:active
{
  background: #C0C0C0;
  transition: background 0.25s linear 0.25s;
}
*/
#vsplit.dirty::before
{
  content: "\25B8";
  position: relative;
  color: black;
  cursor: pointer;
  display: block;
  width: 1em;
  height: 1em;
  line-height: 1em;
  border: 1px solid;
  border-radius: 3px;
  background: white;
  text-align: center;
  font-size: 150%;
  left: -0.9em;
  top: -0.2em;
}

#lineno
{
  display: block;
  color: #C8C8C8;
  padding-right: 4px;
  padding-left: 4px;
  background: #F8F8F8;
  width: 18px;
  overflow: hidden;
  user-select: none;
  text-align: right;
}

#lineno span
{
  display: block;
}

#lineno .linerr
{
  color: red;
  font-weight: bold;
}

#lincaret
{
  color: gray;
}

#code, #lineno, #code:focus, #vsplit, #hsplit, #content
{
  outline: 1px solid #E0E0E0;
}

#output, #error
{
  display: block;
  background: white;
  position: fixed;
  right: 24px;
  bottom: 20px;
  white-space: pre;
  max-height: 5.4em;
  line-height: 1.2em;
  width: 50%;
  text-overflow: ellipsis;
  overflow-x: hidden;
  overflow-y: hidden;
  border: 1px solid rgba(0,0,0,0.30);
  border-radius: 4px;
  box-shadow: 4px 4px rgba(0,0,0,0.075);
  padding: 4px;
}

#output
{
  overflow-y: auto;
  text-overflow: initial;
}

#error
{
  background: red;
  color: white;
  overflow-x: auto; 
  width: auto;
  bottom: inherit;
  top: 16px;
  top: auto;
  margin-top: 16px;  
}

#error::before
{
  content: "\26A0"; /*Warning Sign*/
  margin-right: 4px;
  font-size: 150%;
}

#code-run, #samples, #source
{
  display: inline-flex;
}

#hsplit
{
  display: block;
  height: 4px;
  cursor: row-resize;
  background: #F0F0F0;
}

#desc
{
  overflow: hidden;
}

#desc.edit
{
  padding-left: 14px;
  min-height: 28px;
}

#desc.edit::before
{
  content: "\2336";
  position: absolute;
  margin-left: -14px;
  margin-top: -2px;
}

#desc i
{
  color: gray;
}

.keyword
{
  position: fixed !important;
  pointer-events: none;
  user-select: none;
/*
  margin-top: 5px;
  background-image:
  linear-gradient(45deg, transparent 65%, black 80%, transparent 90%),
  linear-gradient(135deg, transparent 5%, black 15%, transparent 25%),
  linear-gradient(135deg, transparent 45%, black 55%, transparent 65%),
  linear-gradient(45deg, transparent 25%, black 35%, transparent 50%);
  background-repeat: repeat-x;
  background-size: 12px 3px;
  background-position: 0 100%;  
*/  
  background: #fcf113;
  transform: translateY(60%) scaleY(0.25);
}

.host-keyword
{
  z-index: 1;
}

#list
{
  -webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

#Q
{
  margin-right: 8px;
  white-space: nowrap;
  overflow: auto;
  height: calc(100% - 34px);
  margin-top: 8px;
  border-top: 1px solid #E0E0E0;
}

#Q .hidden
{
  display: none;
}

#Q > span
{
  position: sticky;
  top: 0;
  background: #F0F0F0;
  border-bottom: 1px solid #E0E0E0;
  height: 24px;
  line-height: 22px;
  width: calc(100% - 8px);
  display: inline-block;
  padding-left: 4px;
  padding-right: 4px;
  font-weight: bold;
}

#Q > span:not(:first-child)
{
  border-top: 1px solid #E0E0E0;
}

#Q > span.dirty::after
{
  content: '*';
  transform: translate(2px, -2px);
  display: inline-block;
  color: #A0A0A0;
}

#Q .download
{
  float: right;
}

#Q .download::after
{
  content: '\2193';
  font-weight: bold;
  left: -10px;
  margin-top: -17px;
}

#Q > span:not(.allow-create) .download
{
  clear: both;
}

#Q > span:not(.allow-create)  .download::after
{
  left: -12px;
}

#Q ul
{
  margin: 0;
  list-style-type: none;
  padding-inline-start: 8px;
  line-height: 1.5em;
}

#Q li
{
  cursor: pointer;
  width: calc(100% - 12px);
  height: 1.7em;
  padding-left: 4px;
  border-radius: 4px;
  border: 1px solid rgba(0,0,0,0);
  transition: all 0.5s linear;
  transition-property: background, border;  
}

#Q li:hover, #Q li.inherit:hover, #Q li#selQ
{
  background: #E0E0E0;
  color: black;
  transition: all 0.15s linear;
  transition-property: background, border;
}

#Q li#selQ
{
  border: 1px solid #A0A0A0;
}

#Q li a
{
  text-decoration: none;
  color: inherit;
}

#Q li.inherit
{
  color: #c0c0c0;
}

Qno
{
  color: #c0c0c0;
}

Qno::after
{
  content: ')';
  padding-right: 4px;
}

Qns
{
  float: right;
  color: #A0A0A0;
  font-size: 75%;
  position: relative;
  pointer-events: none;
  right: 3px;
  opacity: 1;
  transition: opacity 0.25s linear;
}

#Q .allow-create Qns
{
  clear: both;
  top: -21px;
}

#Q .allow-delete Qdesc
{
  cursor: text;
}

#Q > span.allow-create:hover Qns
{
  opacity: 0;
  transition: opacity 0.25s linear;
}

#Q li:hover Qno, #Q li#selQ Qno
{
  color: gray;
}

#Q .allow-create::before, #Q .allow-delete::before, #Q .download::after
{
  position: relative;
  cursor: pointer;
  background: black;
  width: 16px;
  height: 16px;
  line-height: 13px;
  border-radius: 8px;
  text-align: center;
  color: white;
  opacity: 0;
  transition: opacity 0.15s linear;
  float: right;
}

#Q .allow-create::before
{
  content: "+";
  margin-top: 4.5px;
  right: -2px;
  font-weight: normal;
}

#Q .allow-delete::before
{
  content: "-";
  margin-top: 3.5px;
  right: 2px;
}

#Q .allow-create:hover::before, #Q .allow-delete:hover::before, #Q .download::after
{
  opacity: 1;
  transition: opacity 0.5s linear;
  font-weight: normal;
}

#content
{
  background: white;
}

#content:not(.selQ)
{
  background: #F8F8F8;
}

input#filter
{
	text-decoration: none;
	display: inline-block;
	margin: 0px;
	font-weight: normal;
	border-radius: 3px;
	border: 1px solid #cccccc;
	box-shadow: 0px 1px 0 rgba(0,0,0,.08);
	text-shadow: none;
	background: #ffffff;
	cursor: pointer;
	outline: none;
	transition: background 0.15s linear;
}

input#filter
{
	cursor: auto;
	text-indent: 4px;
  height: 2em;
  width: calc(100% - 8px);
}

input#filter:focus
{
	background: #f8f8f8;
}

#F
{
  white-space: nowrap;
}

#F span
{
  position: fixed;
  cursor: pointer;
  margin-top: 6px;
  width: 1em;
  height: 1em;
  line-height: 1em;
  text-align: center; 
  opacity: 0;
}

#F.close span
{
  opacity: 1;
  transform: rotate(-90deg) translateY(-18px);
  -webkit-transform: rotate(-90deg) translateY(-18px);
  transition: transform 0.25s;
}

@media only screen and (max-width: 580px)
{
  body
  {
    margin: 0;
  }

  #code-run, #samples
  {
    display: block!important;
  }

  input#filter
  {
    width: calc(100%);
  }

  #list
  {
    width: 100%!important;
    height: 15%!important;
  }

  #content, #code-run
  {
    width: 100%!important;
  }

  #Q
  {
    overflow-x: hidden;
    margin-top: 0;
    margin-right: 0;
  }

  #list, #Q, #content
  {
    margin-top: 4px;    
  }

  #hsplit
  {
    pointer-events: none;
    outline: none;
    border-top: 1px solid #E0E0E0;
    border-bottom: 1px solid #E0E0E0;
  }

  #desc, #vsplit
  {
    display: none;
  }

  #run
  {
    height: 70%!important;
  }

  #run, #code, #hsplit
  {
    width: 100%!important;
  }

  #source
  {
    height: 15%;
    width: 100%;
  }

  #lineno, #code
  {
    height: initial!important;
  }
}